Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0047814
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[POS2] POSmajoralways2021-10-05 17:472021-10-14 09:19
ReporterjmelinView Statuspublic 
Assigned Toprakashmurugesan88 
PriorityurgentResolutionopenFixed in Version
StatusscheduledFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0047814: JIRA 2396 - When loading an existing order, product details linked to sales order is not loaded

DescriptionWhen opening a existing sales order, only the product id and the name of the product of a menu component is retrieved

Because of that, there are missing information for custom process
Steps To ReproduceCreate a new order with a menu and complete it

Look for this order in "Sales" window and do a verified return of all the product.

The following informations are needed for menu items of menu:
ticket.lines[].menuItems.product => retrieve product informations (including taxCategory and custom field)
ticket.lines[].menuItems.product.schemas
ticket.lines[].taxes
ticket.lines[].grossUnitAmount
ticket.lines[].baseGrossUnitAmount
ticket.lines[].grossUnitAmountWithoutTicketDiscounts
ticket.lines[].grossUnitPriceWithoutTicketDiscounts
ticket.lines[].promotions
Proposed SolutionLoad data linked to the componenet product like done for regular product and menu or when completing a new order
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
depends on backport 0047834TAP scheduledRetail JIRA 2249 - When loading an existing order, product details linked to sales order is not loaded 
Not all the children of this issue are yet resolved or closed.

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2021-10-05 17:47 jmelin New Issue
2021-10-05 17:47 jmelin Assigned To => Retail
2021-10-05 17:47 jmelin Triggers an Emergency Pack => No
2021-10-11 12:57 guilleaer Status new => acknowledged
2021-10-11 12:57 guilleaer Status acknowledged => scheduled
2021-10-11 12:57 guilleaer Status scheduled => acknowledged
2021-10-11 12:58 guilleaer Assigned To Retail => prakashmurugesan88
2021-10-13 10:29 guilleaer Status acknowledged => scheduled
2021-10-13 18:51 jmelin Steps to Reproduce Updated View Revisions
2021-10-13 18:51 jmelin Summary JIRA 2249 - When loading an existing order, product details linked to sales order is not loaded => JIRA 2396 - When loading an existing order, product details linked to sales order is not loaded
2021-10-14 09:19 jmelin Steps to Reproduce Updated View Revisions


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker